- Qt 5.3
- Qt Quick
- C++ Classes
- QSGTextureProvider
- Qt 5.3.2 Reference Documentation

# QSGTextureProvider Class

The QSGTextureProvider class encapsulates texture based entities in QML. More...

Header: | `#include <QSGTextureProvider>`
qmake: | `QT += quick`

- List of all members, including inherited members

## Public Functions

virtual QSGTexture * | texture() const = 0

## Signals

void | textureChanged()

## Detailed Description

The QSGTextureProvider class encapsulates texture based entities in QML.

The QSGTextureProvider lives primarily in the scene graph rendering thread.

## Member Function Documentation

### QSGTexture * QSGTextureProvider::texture() const`[pure virtual]`

### void QSGTextureProvider::textureChanged()`[signal]`